Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

iOS Build a Simple iPhone App with Swift Getting Started with iOS Development Creating a New Project

The version of swift on my Mac is 10.1

Unfortunately that prevents me from taking this course :( Kindly please re-record the content. Thanks in advance!!

1 Answer

stjarnan
seal-mask
.a{fill-rule:evenodd;}techdegree seal-36
stjarnan
Front End Web Development Techdegree Graduate 56,488 Points

Hi Nila Palmo Ram,

How come you can't take this course because of your version?

Versions often differ a bit and while some things may have changed you will still be able to follow along most of the time.

I made a swift (pun intended!) search on Google which shows me that the latest Swift version is 4.2, you sure you don't mean Xcode version?

I hope that helps, Jonas

I meant the xcode version but no worries, thanks!

stjarnan
seal-mask
.a{fill-rule:evenodd;}techdegree seal-36
stjarnan
Front End Web Development Techdegree Graduate 56,488 Points

Ok awesome, then that still means that you can continue with the course! No need for them to re-record as it will still work.

Happy coding!